{{-- @extends directive lets you "extend" a template which defines its own section 
    means irerender
--}}

{{-- lahat ng may @ no need semicolon sa syntax --}}
@extends('layouts.app')

{{-- @section directives will inject the page content in the app.blade.php --}}
@section('content')
    <form method="POST" action="/posts">
        {{-- 
            - CSRF stands for Cross-Site Request Forgery
			- A form of attack where malicious users may send malicious requests while pretending to be the authorized user.
			 - using @csrf laravel uses tokens to detect if form input requests have not been tampered with. This tokens are autogenerated for every client request.    
        --}}
        @csrf
        <div class="form-group">
            <label for="title">Title:</label>
            <input type="text" name="title" id="title" class="form-control">
        </div>
        <div class="form-group">
            <label for="content">Content:</label>
            <textarea name="content" id="content" class="form-control"></textarea>
        </div>
        <div class="mt-2">
            <button type="submit" class="btn btn-primary">Create Post</button>
        </div>

    </form>
@endsection